Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.impl
Class ModelQueryContextImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.runtime.impl.ModelQueryContextImpl

All Implemented Interfaces:
  ModelQueryContext

    public class ModelQueryContextImpl

extends EObjectImpl
implements ModelQueryContext

An implementation of the model object 'Model Query Context'.

The following features are implemented:

- `Selected Model Elements`
- `Selected Models`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`` | `getSelectedModelElements()`
`` | `getSelectedModels()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSelectedModelElements

    public  getSelectedModelElements()

  Specified by:
    `getSelectedModelElements` in interface `ModelQueryContext`
  Returns:
    the value of the 'Selected Model Elements' reference list.
  See Also:
    `RuntimePackage.getModelQueryContext_SelectedModelElements()`

### getSelectedModels

    public  getSelectedModels()

  Specified by:
    `getSelectedModels` in interface `ModelQueryContext`
  Returns:
    the value of the 'Selected Models' attribute list.
  See Also:
    `RuntimePackage.getModelQueryContext_SelectedModels()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD